{% extends "operators/base.html" %}{% load i18n static %}
{% block title %}{% trans "Seniors overview" %}{% endblock %}
{% block extrahead %}
<link href="{% static 'select2/css/select2.min.css' %}" rel="stylesheet" />
<script src="{% static 'select2/js/select2.min.js' %}"></script>
{% endblock %}
{% block content %}
<div class="page-header row mb-4">
    <div class="col-lg-8">
        <h1>{% trans "Seniors" %}</h1>
    </div>
    <div class="col-lg-4 text-end">
        <a class="btn btn-lg btn-success" href="{% url 'operators:new-senior' %}">
            <i class="fas fa-plus"></i>
            &nbsp; {% trans "Add senior" %}
        </a>
    </div>
</div>


<div class="row mt-5">
    <h2 class="col-lg-12 text-center">
        {% blocktrans %}There are<br></brt><b>{{ total_members }}</b><br>members in the application divided as follows{% endblocktrans %}
    </h2>
    {% for i in organization_members %}
    <h3 class="col-lg-{{ factor }} text-center border border-secondary p-3">
        {{ i.0 }}<br>{{ i.1 }}
    </h3>
    {% endfor %}
</div>

<select id="senior-ajax" class="form-control"></select>


<script type="text/javascript">
    $(document).ready(function() {
        $('#senior-ajax').select2({
            ajax: {
                url: "{% url 'operators:senior-ajax-query' %}",
                type: "POST",
                dataType: "json",
                delay: 150,
                data: function (params) {return {"q": params.term, "csrfmiddlewaretoken": "{{ csrf_token }}"};},
                processResults: function (data, params) {return {results: data}}
            },
            placeholder: "{% trans 'Start typing the card no. or the last name' %}",
            minimumInputLength: 2,
            templateResult: function (senior) {
                if (senior.fullname == undefined) return $("");
                var out = $(
                    "<div class='select2-result'><h4><b><i class='fas fa-user'></i>&nbsp;" + senior.fullname +
                    "</b></h4><i class='fas fa-id-card'></i>&nbsp;" + (senior.member_card_issuer || "{% trans 'not registered' %}") + " " +
                    (senior.member_card_number || "") + "<br><i class='fas fa-phone'></i>&nbsp;" +
                    (senior.phone_number || "{% trans 'not registered' %}") + "&nbsp;<i class='fas fa-envelope'></i>&nbsp;" +
                    (senior.email || "{% trans 'not registered' %}") + "<br><i class='fas fa-map-marked-alt'></i>&nbsp;" +
                    senior.home.address + "</div>"
                );
                return out;
            },
            templateSelection: function (senior) {return senior.fullname || "{% trans 'Start typing the card no. or the last name' %}";}
        }).on("select2:select", function (e) {
            location.href = '' + e.params.data.id + '/edit';
        });
    });
</script>
{% endblock %}